Sniffie takes advantage of modern web technologies and as such the service may not work properly with old browsers. That is, Sniffie is best used with modern, up-to-date browsers. Although you can login with Internet Explorer 9+, the service is usable only with Internet Explorer 11+. We do not support login with older versions of Internet Explorer. If you use an outdated browser, you’ll see a notification at the top of the login page.

We encourage everyone to use the latest version of Google Chrome, Mozilla Firefox (or Chromium) for the best experience. Sniffie extension is currently available only for Chrome and Firefox and Chromium-based browsers such as Opera. Currently we have no plans to bring Sniffie extension to Internet Explorer or to Apple Safari.

Did this answer your question?